local _, core = ...; -- Namespace

local AceGUI = LibStub("AceGUI-3.0")


function core.ReputationUIWotlk(container)





--[[ Scroll Frame ]]--
local scrollcontainer = AceGUI:Create("SimpleGroup") 
scrollcontainer:SetFullWidth(true)
scrollcontainer:SetFullHeight(true) 
scrollcontainer:SetLayout("Fill") 

container:AddChild(scrollcontainer)

local scroll = AceGUI:Create("ScrollFrame")
scroll:SetLayout("Flow") 
scrollcontainer:AddChild(scroll)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)  
  
  --[[ Material List ]]--
  local desc = AceGUI:Create("Label")  
  desc:SetText("|cff00C78CWrath of the Lich King:")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 20, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)

  local desc = AceGUI:Create("Label")
  desc:SetText("All Wrath of the Lich King Reputation Guides for Alliance, Horde and Neutral Factions.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  
  


  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)  
  



--[[ Guides ]]--




--[[ A ]]-- 
  local AllianceIcon = AceGUI:Create("Label")
  AllianceIcon:SetText('|TInterface\\Icons\\ui_alliance_7legionmedal:32|t'.."|cff00E5EE Alliance:")
  AllianceIcon:SetFullWidth(true)
  AllianceIcon:SetFont("Fonts\\FRIZQT__.TTF", 16, '')
  scroll:AddChild(AllianceIcon)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)


  local CraftingVsFarming = AceGUI:Create("Button")
  CraftingVsFarming:SetText("Alliance Vanguard (+4)")
  CraftingVsFarming:SetWidth(350)
  scroll:AddChild(CraftingVsFarming)
  CraftingVsFarming:SetCallback("OnClick", function() 
  
 core.AllianceVanguardGuide(container)
  
  end)

--[[ H ]]--


  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)


  local AllianceIcon = AceGUI:Create("Label")
  AllianceIcon:SetText('|TInterface\\Icons\\inv_bannerpvp_01:32|t '.."|cffff0000Horde:")
  AllianceIcon:SetFullWidth(true)
  AllianceIcon:SetFont("Fonts\\FRIZQT__.TTF", 16, '')
  scroll:AddChild(AllianceIcon)

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)




  local CraftingVsFarming = AceGUI:Create("Button")
  CraftingVsFarming:SetText("Explorers League (+4)")
  CraftingVsFarming:SetWidth(350)
  scroll:AddChild(CraftingVsFarming)
  CraftingVsFarming:SetCallback("OnClick", function() 
  
 core.HordeExpaditionGuide(container)
  
  end)

--[[ N ]]--


  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)

  local desc = AceGUI:Create("Label")  
  desc:SetText('|TInterface\\Icons\\pvecurrency-valor:32|t '.."|cff00C78CNeutral :")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 16, '')
  scroll:AddChild(desc)

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)

  local CraftingVsFarming = AceGUI:Create("Button")
  CraftingVsFarming:SetText("Frenzyheart Tribe / The Oracles")
  CraftingVsFarming:SetWidth(350)
  scroll:AddChild(CraftingVsFarming)
  CraftingVsFarming:SetCallback("OnClick", function() 
  
 core.FrenzyheartTribeTheOraclesGuide(container)
  
  end)

  local CraftingVsFarming = AceGUI:Create("Button")
  CraftingVsFarming:SetText("Son's of Hodir")
  CraftingVsFarming:SetWidth(350)
  scroll:AddChild(CraftingVsFarming)
  CraftingVsFarming:SetCallback("OnClick", function() 
  
 core.SonsofHodirGuide(container)
  
  end)

  local CraftingVsFarming = AceGUI:Create("Button")
  CraftingVsFarming:SetText("The Kalu'ak")
  CraftingVsFarming:SetWidth(350)
  scroll:AddChild(CraftingVsFarming)
  CraftingVsFarming:SetCallback("OnClick", function() 
  
 core.TheKaluakGuide(container)
  
  end)

  local CraftingVsFarming = AceGUI:Create("Button")
  CraftingVsFarming:SetText("Knights of the Ebon Blade")
  CraftingVsFarming:SetWidth(350)
  scroll:AddChild(CraftingVsFarming)
  CraftingVsFarming:SetCallback("OnClick", function() 
  
 core.KnightsoftheEbonBladeGuide(container)
  
  end)

  local CraftingVsFarming = AceGUI:Create("Button")
  CraftingVsFarming:SetText("Argent Crusade")
  CraftingVsFarming:SetWidth(350)
  scroll:AddChild(CraftingVsFarming)
  CraftingVsFarming:SetCallback("OnClick", function() 
  
 core.ArgentCrusadeGuide(container)
  
  end)

  local CraftingVsFarming = AceGUI:Create("Button")
  CraftingVsFarming:SetText("The Wyrmrest Accord")
  CraftingVsFarming:SetWidth(350)
  scroll:AddChild(CraftingVsFarming)
  CraftingVsFarming:SetCallback("OnClick", function() 
  
 core.TheWyrmrestAccordGuide(container)
  
  end)

  local CraftingVsFarming = AceGUI:Create("Button")
  CraftingVsFarming:SetText("The Ashen Verdict")
  CraftingVsFarming:SetWidth(350)
  scroll:AddChild(CraftingVsFarming)
  CraftingVsFarming:SetCallback("OnClick", function() 
  
 core.TheAshenVerdictGuide(container)
  
  end)


  local CraftingVsFarming = AceGUI:Create("Button")
  CraftingVsFarming:SetText("Kirin Tor")
  CraftingVsFarming:SetWidth(350)
  scroll:AddChild(CraftingVsFarming)
  CraftingVsFarming:SetCallback("OnClick", function() 
  
 core.KirinTorGuide(container)
  
  end)
























  
  
  
  
  
  
  
  
  
  
  end